Bug 955030

Summary: [faf] gimp-2.8.2-6.fc18.x86_64 SIGFPE in pango_layout_iter_get_char_extents
Product: [Fedora] Fedora Reporter: abrt-bot <abrt-bot>
Component: gimpAssignee: Nils Philippsen <nphilipp>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: crash-catcher, nphilipp
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: abrt_hash:b37519c1ba1e00a78502df92469b5a27a080cf91 reports:17
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-27 13:45:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description abrt-bot 2013-04-22 13:08:56 UTC
Description of problem: 
Faf server recevied number of crash reports for this package.

Problem URL:
https://retrace.fedoraproject.org/faf/problems/bthash/b37519c1ba1e00a78502df92469b5a27a080cf91

Version-Release number of selected component:
gimp-2.8.2-6.fc18.x86_64

Additional info:
first occurence: 2013-02-22 00:58 UTC
reports count: 17
executable: /usr/bin/gimp-2.8

Truncated backtrace:
#  Function                            Path                          Source                                        
0  pango_layout_iter_get_char_extents  /usr/lib64/libpango-1.0.so.0  /pango-layout.c:6040                          
1  gimp_text_tool_draw                 /usr/bin/gimp-2.8             /gimptexttool.c:858                           
2  gimp_draw_tool_draw                 /usr/bin/gimp-2.8             /gimpdrawtool.c:219                           
3  gimp_text_tool_apply                /usr/bin/gimp-2.8             /gimptexttool.c:1340                          
4  g_main_context_dispatch             /usr/lib64/libglib-2.0.so.0   /usr/src/debug/glib-2.34.2/glib/gmain.c:2715  
5  g_main_context_iterate              /usr/lib64/libglib-2.0.so.0   /usr/src/debug/glib-2.34.2/glib/gmain.c:3290  
6  g_main_loop_run                     /usr/lib64/libglib-2.0.so.0   /usr/src/debug/glib-2.34.2/glib/gmain.c:3483  
7  app_run                             /usr/bin/gimp-2.8             /app.c:257                                    
8  main                                /usr/bin/gimp-2.8             /main.c:460                                   


This ticket was created automatically. If this report is malformed or not helpful
please let us know on crash-catcher@lists.fedorahosted.org so we can improve it.

Comment 1 Nils Philippsen 2013-05-27 13:45:06 UTC
To have a chance at debugging, I need to know the versions/releases of all the involved components, i.e. on top of the app package I need to know about all libraries mapped into the process (in this case, pango and glib2 are noticeably missing).